<?php
require_once ('system/func.php');
auth(); // Закроем от не авторизованных
# Настройки #
$id = num($_GET['id']);
if($id)$opponent = $db->query("SELECT * FROM `users` WHERE `id` = '".$id."'")->fetch_assoc();
else $opponent = $user;
# Ошибки #
if(!$opponent){
$_SESSION['msg'] = 'Такой игрок не существует';
header('Location: /narush/');
exit();
}
$title = "Блокировки";
require_once ('system/header.php');
echo'<div class="lent mlra w80">
<div class="bl-ttl"><div class="te"><div class="ttl">
		'.$title.'
		</div></div></div>';
echo "<div class='block'>";
$set['p_str'] = 10;
$k_post = $db->query("SELECT * FROM `block` WHERE `id_user` = '$id'")->num_rows;
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = $db->query("SELECT * FROM `block` WHERE `id_user` = '$id' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
if($k_post == 0)echo "Нарушений ещё не было...";
while($post = $q->fetch_assoc()) {
$ank = $db->query("SELECT * FROM `users` WHERE `id` = '$post[id_admin]' ORDER BY `id` DESC LIMIT 1")->fetch_assoc();
echo icons_user($ank[id])." <a href='/profile/$ank[id]'>$ank[login]</a>: ".text_msg($post[text])."<br>";
if($post[last] > time()){
echo "Активен, до окончания ".tl($post[last]-time());
}else{
echo "Не активен, истек ".vremja($post[last]);
}
echo "<br>";
}
if($k_post>10){
str('?',$k_page,$page); // Вывод страниц
}
echo "</div></div>";
if($myID != $opponent[id])echo "<a href='/profile/$opponent[id]' class='link'>".ico('icons','arrow.png')." Вернуться к профилю</a>";
require_once ('system/footer.php');
?>